Error when upgrading to Joomla 3.9 Topic is solved

Need help upgrading your Joomla! website or converting to Joomla! 3.x?

Moderator: General Support Moderators

Forum rules
Forum Rules
Absolute Beginner's Guide to Joomla! <-- please read before posting, this means YOU.
Forum Post Assistant - If you are serious about wanting help, you will use this tool to help you post.
Post Reply
malloryw
Joomla! Apprentice
Joomla! Apprentice
Posts: 38
Joined: Fri Dec 21, 2018 6:57 pm

Error when upgrading to Joomla 3.9

Post by malloryw » Tue Jun 04, 2019 10:31 pm

I have updated all my extensions and am attempting to upgrade my site from 3.8.13 to 3.9. However, when I do the Joomla core update, it shows me an HTTP 500 error. I can still click "back" in my browser and access the administration area. Also, I am still able to see my site in the front end. My upload size max was originally set to 32 MB, so I changed it to 100 MB in the php.ini file just for the purposes of this update. I thought perhaps that had something to do with the failed update, but it is still failing. I turned error reporting to maximum and got these errors:

Warning: get_headers(): https:// wrapper is disabled in the server configuration by allow_url_fopen=0 in /home/research/public_html/administrator/components/com_joomlaupdate/models/default.php on line 255

Warning: get_headers(): This function may only be used against URLs in /home/research/public_html/administrator/components/com_joomlaupdate/models/default.php on line 255

Fatal error: Allowed memory size of 33554432 bytes exhausted (tried to allocate 12353024 bytes) in /home/research/public_html/libraries/src/Http/Transport/CurlTransport.php on line 271

What can I do to resolve these errors to update my site?

wedevlop
Joomla! Apprentice
Joomla! Apprentice
Posts: 12
Joined: Sat Jan 14, 2017 5:04 am

Re: Error when upgrading to Joomla 3.9

Post by wedevlop » Wed Jun 05, 2019 12:02 am

Have you check the requirements on your joomla hosting server.

User avatar
ribo
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3377
Joined: Sun Jan 03, 2010 8:47 pm
Contact:

Re: Error when upgrading to Joomla 3.9

Post by ribo » Wed Jun 05, 2019 1:12 am

chat room spontes : http://www.spontes.com

malloryw
Joomla! Apprentice
Joomla! Apprentice
Posts: 38
Joined: Fri Dec 21, 2018 6:57 pm

Re: Error when upgrading to Joomla 3.9

Post by malloryw » Wed Jun 05, 2019 4:36 pm

Forum Post Assistant (v1.4.8 (koine)) : 5th June 2019 wrote:
Last PHP Error(s) Reported :: wrote:[05-Jun-2019 12:47:46 UTC] PHP Notice: Trying to get property of non-object in /home/research/public_html/libraries/src/MVC/View/CategoryFeedView.php on line 39
Basic Environment :: wrote:Joomla! Instance :: Joomla! 3.8.13-Stable (Amani) 9-October-2018
Joomla! Platform :: Joomla Platform 13.1.0-Stable (Curiosity) 24-Apr-2013
Joomla! Configured :: Yes | Read-Only (444) | Owner: --protected-- . (uid: 1/gid: 1) | Group: --protected-- (gid: 1) | Valid For: 3.8
Configuration Options :: Offline: false | SEF: true | SEF Suffix: false | SEF ReWrite: true | .htaccess/web.config: Yes | GZip: true | Cache: true | CacheTime: 15 | CacheHandler: file | CachePlatformPrefix: false | FTP Layer: false | Proxy: false | LiveSite: | Session lifetime: 15 | Session handler: database | Shared sessions: false | SSL: 0 | Error Reporting: maximum | Site Debug: false | Language Debug: false | Default Access: 1 | Unicode Slugs: false | dbConnection Type: mysqli | PHP Supports J! 3.8.13: Yes | Database Supports J! 3.8.13: Yes | Database Credentials Present: Yes |

Host Configuration :: OS: Linux | OS Version: 2.6.32-754.14.2.el6.x86_64 | Technology: x86_64 | Web Server: Apache | Encoding: gzip, deflate, br | Doc Root: --protected-- | System TMP Writable: Yes | Free Disk Space : 202.25 GiB |

PHP Configuration :: Version: 7.0.33 | PHP API: cgi-fcgi | Session Path Writable: Yes | Display Errors: | Error Reporting: 32759 | Log Errors To: error_log | Last Known Error: 05th June 2019 12:47:46. | Register Globals: | Magic Quotes: | Safe Mode: | Open Base: | Uploads: 1 | Max. Upload Size: 2M | Max. POST Size: 8M | Max. Input Time: 60 | Max. Execution Time: 30 | Memory Limit: 32M

Database Configuration :: Version: 5.6.44 (Client:mysqlnd 5.0.12-dev - 20150407 - $Id: b5c5906d452ec590732a93b051f3827e02749b83 $) | Host: --protected-- (--protected--) | default Collation: utf8_general_ci (default Character Set: utf8) | Database Size: 400.81 MiB | #of Tables:  213
Detailed Environment :: wrote:PHP Extensions :: Core (7.0.33) | date (7.0.33) | libxml (7.0.33) | openssl (7.0.33) | pcre (7.0.33) | zlib (7.0.33) | filter (7.0.33) | hash (1.0) | pcntl (7.0.33) | readline (7.0.33) | Reflection (7.0.33) | SPL (7.0.33) | session (7.0.33) | standard (7.0.33) | cgi-fcgi () | bcmath (7.0.33) | bz2 (7.0.33) | calendar (7.0.33) | ctype (7.0.33) | curl (7.0.33) | dba (7.0.33) | dom (20031129) | enchant (7.0.33) | mbstring (7.0.33) | fileinfo (1.0.5) | ftp (7.0.33) | gd (7.0.33) | gettext (7.0.33) | gmp (7.0.33) | iconv (7.0.33) | imap (7.0.33) | intl (1.1.0) | json (1.4.0) | ldap (7.0.33) | exif (7.0.33) | mcrypt (7.0.33) | mysqlnd (mysqlnd 5.0.12-dev - 20150407 - $Id: b5c5906d452ec590732a93b051f3827e02749b83 $) | odbc (7.0.33) | PDO (7.0.33) | pgsql (7.0.33) | Phar (2.0.2) | posix (7.0.33) | pspell (7.0.33) | shmop (7.0.33) | SimpleXML (7.0.33) | snmp (0.1) | soap (7.0.33) | sockets (7.0.33) | sqlite3 (7.0.33) | sysvmsg (7.0.33) | sysvsem (7.0.33) | sysvshm (7.0.33) | tidy (7.0.33) | tokenizer (7.0.33) | xml (7.0.33) | xmlwriter (7.0.33) | xsl (7.0.33) | zip (1.13.5) | mysqli (7.0.33) | pdo_mysql (7.0.33) | PDO_ODBC (7.0.33) | pdo_pgsql (7.0.33) | pdo_sqlite (7.0.33) | wddx (7.0.33) | xmlreader (7.0.33) | xmlrpc (7.0.33) | imagick (3.4.3) | Zend Engine (3.0.0) |
Potential Missing Extensions ::

Switch User Environment (Experimental) :: PHP CGI: Yes | Server SU: Yes | PHP SU: Yes | Custom SU (LiteSpeed/Cloud/Grid): Yes
Potential Ownership Issues: No
Folder Permissions :: wrote:Core Folders :: images/ (755) | components/ (755) | modules/ (755) | plugins/ (755) | language/ (755) | templates/ (755) | cache/ (755) | logs/ (755) | tmp/ (755) | administrator/components/ (755) | administrator/modules/ (755) | administrator/language/ (755) | administrator/templates/ (755) | administrator/logs/ (755) |

Elevated Permissions (First 10) :: j25/tmp/ja201505191515441ccab4be8cfd0185c4fbae8793cd9346.tmp/ (777) | j25/tmp/ja20150519151658e6f710416e23a8f7aaed523da3f96d99.tmp/ (777) | j25/tmp/ja20150519151658e6f710416e23a8f7aaed523da3f96d99.tmp/mod_jacontentslider/ (777) | j25/tmp/ja20150519151658e6f710416e23a8f7aaed523da3f96d99.tmp/mod_jacontentslider/lang/ (777) | j25/tmp/ja20150519151658e6f710416e23a8f7aaed523da3f96d99.tmp/mod_jacontentslider/lang/site/ (777) | j25/tmp/ja2015051915170318966bc71f939293a1d2b409ce845339.tmp/ (777) | j25/tmp/ja20150519151703b2beb9b737311a1c6ddff90f500535e9.tmp/ (777) | j25/tmp/ja20150519151703b2beb9b737311a1c6ddff90f500535e9.tmp/mod_jasidenews/ (777) | j25/tmp/ja20150519151703b2beb9b737311a1c6ddff90f500535e9.tmp/mod_jasidenews/lang/ (777) | j25/tmp/ja20150519151703b2beb9b737311a1c6ddff90f500535e9.tmp/mod_jasidenews/lang/site/ (777) |
Database Information :: wrote:Database statistics :: Uptime: 174747 | Threads: 2 | Questions: 2343899 | Slow queries: 91 | Opens: 7773489 | Flush tables: 1 | Open tables: 400 | Queries per second avg: 13.413 |
Extensions Discovered :: wrote:Components :: SITE ::
Core :: com_mailto (3.0.0) 1 | com_wrapper (3.0.0) 1 |
3rd Party::

Components :: ADMIN ::
Core :: com_messages (3.0.0) 1 | com_newsfeeds (3.0.0) 1 | com_associations (3.7.0) 1 | com_languages (3.0.0) 1 | com_menus (3.0.0) 1 | com_login (3.0.0) 1 | com_cache (3.0.0) 1 | com_checkin (3.0.0) 1 | com_postinstall (3.2.0) 1 | com_banners (3.0.0) 1 | com_installer (3.0.0) 1 | com_finder (3.0.0) 1 | com_tags (3.1.0) 1 | com_contenthistory (3.2.0) 1 | com_modules (3.0.0) 1 | com_joomlaupdate (3.6.2) 1 | com_categories (3.0.0) 1 | com_media (3.0.0) 1 | com_users (3.0.0) 1 | com_admin (3.0.0) 1 | com_fields (3.7.0) 1 | com_plugins (3.0.0) 1 | com_content (3.0.0) 1 | com_ajax (3.2.0) 1 | com_redirect (3.0.0) 1 | com_config (3.0.0) 1 | com_cpanel (3.0.0) 1 | com_templates (3.0.0) 1 | com_search (3.0.0) 1 |
3rd Party:: com_jaextmanager (2.5.3) 1 | com_jaextmanager (2.6.5) 1 | COM_K2 (2.9.0) 1 | Admintools (5.3.0) 0 | COM_SPTRANSFER (4.0.5) 1 | Akeeba (6.4.2.1) 1 |

Modules :: SITE ::
Core :: mod_syndicate (3.0.0) 1 | mod_articles_news (3.0.0) 1 | mod_articles_category (3.0.0) 1 | mod_articles_archive (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_breadcrumbs (3.0.0) 1 | mod_whosonline (3.0.0) 1 | mod_users_latest (3.0.0) 1 | mod_articles_categories (3.0.0) 1 | mod_random_image (3.0.0) 1 | mod_finder (3.0.0) 1 | mod_tags_similar (3.1.0) 1 | mod_login (3.0.0) 1 | mod_tags_popular (3.1.0) 1 | mod_articles_latest (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_wrapper (3.0.0) 1 | mod_articles_popular (3.0.0) 1 | mod_search (3.0.0) 1 | mod_stats (3.0.0) 1 | mod_footer (3.0.0) 1 | mod_languages (3.5.0) 1 | mod_feed (3.0.0) 1 | mod_banners (3.0.0) 1 | mod_related_items (3.0.0) 1 |
3rd Party:: K2 User (2.9.0) 1 | JA Content Slider (2.7.4) 1 | JA Side News (2.6.8) 1 | JA Bulletin (2.6.0) 1 | K2 Tools (2.9.0) 1 | K2 Comments (2.9.0) 1 | K2 Users (2.9.0) 1 | JA Slideshow (2.7.7) 1 | K2 Content (2.9.0) 1 |

Modules :: ADMIN ::
Core :: mod_toolbar (3.0.0) 1 | mod_multilangstatus (3.0.0) 1 | mod_custom (3.0.0) 1 | mod_latest (3.0.0) 1 | mod_submenu (3.0.0) 1 | mod_title (3.0.0) 1 | mod_login (3.0.0) 1 | mod_logged (3.0.0) 1 | mod_menu (3.0.0) 1 | mod_version (3.0.0) 1 | mod_sampledata (3.8.0) 1 | mod_stats_admin (3.0.0) 1 | mod_status (3.0.0) 1 | mod_quickicon (3.0.0) 1 | mod_popular (3.0.0) 1 | mod_feed (3.0.0) 1 |
3rd Party:: K2 Quick Icons (admin) (2.9.0) 1 | K2 Stats (admin) (2.9.0) 1 |

Libraries :: SITE ::
Core ::
3rd Party:: file_fof30 (3.4.2) ? |

Plugins :: SITE ::
Core :: plg_content_emailcloak (3.0.0) 1 | plg_content_pagebreak (3.0.0) 1 | plg_content_finder (3.0.0) 0 | plg_content_joomla (3.0.0) 1 | plg_content_fields (3.7.0) 1 | plg_content_loadmodule (3.0.0) 1 | plg_content_pagenavigation (3.0.0) 1 | plg_content_vote (3.0.0) 1 | plg_captcha_recaptcha (3.4.0) 1 | plg_editors-xtd_pagebreak (3.0.0) 1 | plg_editors-xtd_article (3.0.0) 1 | plg_editors-xtd_fields (3.7.0) 1 | plg_editors-xtd_image (3.0.0) 1 | plg_editors-xtd_menu (3.7.0) 1 | plg_editors-xtd_readmore (3.0.0) 1 | plg_editors-xtd_module (3.5.0) 1 | plg_twofactorauth_yubikey (3.2.0) 0 | plg_twofactorauth_totp (3.2.0) 0 | plg_search_content (3.0.0) 1 | plg_search_newsfeeds (3.0.0) 1 | plg_search_tags (3.0.0) 0 | plg_search_contacts (3.0.0) 1 | plg_search_categories (3.0.0) 1 | plg_finder_content (3.0.0) 1 | plg_finder_newsfeeds (3.0.0) 1 | plg_finder_tags (3.0.0) 1 | plg_finder_contacts (3.0.0) 1 | plg_finder_categories (3.0.0) 1 | plg_extension_joomla (3.0.0) 1 | plg_fields_sql (3.7.0) 1 | plg_fields_textarea (3.7.0) 1 | plg_fields_media (3.7.0) 1 | plg_fields_checkboxes (3.7.0) 1 | plg_fields_list (3.7.0) 1 | plg_fields_calendar (3.7.0) 1 | plg_fields_editor (3.7.0) 1 | plg_fields_url (3.7.0) 1 | plg_fields_imagelist (3.7.0) 1 | plg_fields_user (3.7.0) 1 | plg_fields_usergrouplist (3.7.0) 1 | plg_fields_color (3.7.0) 1 | plg_fields_integer (3.7.0) 1 | plg_fields_text (3.7.0) 1 | plg_fields_radio (3.7.0) 1 | plg_quickicon_joomlaupdate (3.0.0) 1 | plg_quickicon_extensionupdate (3.0.0) 1 | plg_quickicon_phpversioncheck (3.7.0) 1 | plg_user_joomla (3.0.0) 1 | plg_user_contactcreator (3.0.0) 0 | plg_user_profile (3.0.0) 0 | plg_system_logout (3.0.0) 1 | plg_system_cache (3.0.0) 0 | plg_system_debug (3.0.0) 1 | plg_system_sessiongc (3.8.6) 1 | plg_system_fields (3.7.0) 1 | plg_system_sef (3.0.0) 1 | plg_system_updatenotification (3.5.0) 1 | plg_system_languagefilter (3.0.0) 0 | plg_system_p3p (3.0.0) 1 | plg_system_log (3.0.0) 1 | plg_system_languagecode (3.0.0) 0 | plg_system_remember (3.0.0) 1 | plg_system_highlight (3.0.0) 1 | plg_system_stats (3.5.0) 1 | plg_system_redirect (3.0.0) 1 | plg_authentication_joomla (3.0.0) 1 | plg_authentication_cookie (3.0.0) 1 | plg_authentication_gmail (3.0.0) 0 | plg_authentication_ldap (3.0.0) 0 | PLG_INSTALLER_URLINSTALLER (3.6.0) 1 | PLG_INSTALLER_FOLDERINSTALLER (3.6.0) 1 | plg_installer_packageinstaller (3.6.0) 1 | plg_installer_webinstaller (1.1.1) 1 |
3rd Party:: Search - K2 (2.9.0) 1 | plg_finder_k2 (2.9.0) 1 | Josetta - K2 Categories (2.6.9) 0 | Josetta - K2 Items (2.6.9) 0 | plg_quickicon_akeebabackup (6.4.2.1) 1 | User - K2 (2.9.0) 1 | JA T3 Framework (2.7.6) 1 | System - JA Tabs (2.6.5) 1 | System - JA Tabs (2.6.7) 1 | PLG_SYSTEM_JQUERYEASY (2.2.0) 0 | PLG_SYSTEM_BACKUPONUPDATE (6.4.2.1) 0 | PLG_SYSTEM_AKEEBAACTIONLOG (6.4.2.1) 0 | PLG_SYSTEM_ADMINTOOLS (5.3.0) 1 | PLG_SYSTEM_AKEEBAUPDATECHECK (6.4.2.1) 0 | PLG_SYSTEM_ADMINTOOLSACTIONLOG (1.0) 0 | System - K2 (2.9.0) 1 | plg_editors_codemirror (5.38.0) 1 | plg_editors_tinymce (4.5.8) 1 |
Templates Discovered :: wrote:Templates :: SITE :: protostar (1.0) 1 | ja_minisite (2.5.5) 1 | beez3 (3.1.0) 1 |
Templates :: ADMIN :: isis (1.0) 1 | hathor (3.0.0) 1 |

User avatar
ribo
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3377
Joined: Sun Jan 03, 2010 8:47 pm
Contact:

Re: Error when upgrading to Joomla 3.9

Post by ribo » Wed Jun 05, 2019 5:08 pm

You have

Code: Select all

Max. Upload Size: 2M | Max. POST Size: 8M 
Memory Limit: 32M
You must change them to

Code: Select all

Max. Upload Size: 30M | Max. POST Size: 40M 
Memory Limit: 128M
Also you have

Code: Select all

Elevated Permissions (First 10) :: j25/tmp/ja201505191515441ccab4be8cfd0185c4fbae8793cd9346.tmp/ (777) | j25/tmp/ja20150519151658e6f710416e23a8f7aaed523da3f96d99.tmp/ (777) | j25/tmp/ja20150519151658e6f710416e23a8f7aaed523da3f96d99.tmp/mod_jacontentslider/ (777) | j25/tmp/ja20150519151658e6f710416e23a8f7aaed523da3f96d99.tmp/mod_jacontentslider/lang/ (777) | j25/tmp/ja20150519151658e6f710416e23a8f7aaed523da3f96d99.tmp/mod_jacontentslider/lang/site/ (777) | j25/tmp/ja2015051915170318966bc71f939293a1d2b409ce845339.tmp/ (777) | j25/tmp/ja20150519151703b2beb9b737311a1c6ddff90f500535e9.tmp/ (777) | j25/tmp/ja20150519151703b2beb9b737311a1c6ddff90f500535e9.tmp/mod_jasidenews/ (777) | j25/tmp/ja20150519151703b2beb9b737311a1c6ddff90f500535e9.tmp/mod_jasidenews/lang/ (777) | j25/tmp/ja20150519151703b2beb9b737311a1c6ddff90f500535e9.tmp/mod_jasidenews/lang/site/ (777) |
Was that from joomla 2.5? You must not have 777 permission as it is dangerous to can be hacked. In folders we have 755 and in files 644
chat room spontes : http://www.spontes.com

malloryw
Joomla! Apprentice
Joomla! Apprentice
Posts: 38
Joined: Fri Dec 21, 2018 6:57 pm

Re: Error when upgrading to Joomla 3.9

Post by malloryw » Wed Jun 05, 2019 8:33 pm

Thank you for the reply. How do I change the max. upload size? I had changed it to 100M in the phi.ini file but perhaps that is not the correct place?

I will change the folder permissions now. No, the site as it is now is 3.8.

User avatar
sozzled
Joomla! Exemplar
Joomla! Exemplar
Posts: 7506
Joined: Sun Jul 05, 2009 3:30 am
Location: Canberra, Australia
Contact:

Re: Error when upgrading to Joomla 3.9

Post by sozzled » Wed Jun 05, 2019 8:44 pm

malloryw wrote:
Wed Jun 05, 2019 8:33 pm
How do I change the Max. Upload Size?
Don't forget about the Max POST Size setting, too.

It depends on whether you are using a shared webhost service in which case the usual place to change these things is with the webhost cPanel (or, if you need extra help, talk to your webhost provider.

A couple of other observations:

Image

So, you see, you're running an outdated version of J! with an outdated version of PHP.

The JA Extension Manager component is unnecessary; you can uninstall it.
https://www.kuneze.com/blog
Former member of Kunena project team
If you think I’m wrong then say “I think you're wrong.” If you say “You’re wrong!”, how do you know?

User avatar
ribo
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3377
Joined: Sun Jan 03, 2010 8:47 pm
Contact:

Re: Error when upgrading to Joomla 3.9

Post by ribo » Wed Jun 05, 2019 8:46 pm

malloryw wrote:
Wed Jun 05, 2019 8:33 pm
Thank you for the reply. How do I change the max. upload size? I had changed it to 100M in the phi.ini file but perhaps that is not the correct place?

Code: Select all

upload_max_filesize = 30M
post_max_size = 40M
memory_limit = 128M
If you can t make the changes to can effect ask your host to do it for you
chat room spontes : http://www.spontes.com

malloryw
Joomla! Apprentice
Joomla! Apprentice
Posts: 38
Joined: Fri Dec 21, 2018 6:57 pm

Re: Error when upgrading to Joomla 3.9

Post by malloryw » Thu Jun 06, 2019 4:00 pm

I changed the Max upload size, the Max file size and the memory limit in my cPanel hosting account and was able to update! Thank you all for the help. (Upgrading PHP is next on my list and I will be taking care of that soon.)

User avatar
ribo
Joomla! Virtuoso
Joomla! Virtuoso
Posts: 3377
Joined: Sun Jan 03, 2010 8:47 pm
Contact:

Re: Error when upgrading to Joomla 3.9

Post by ribo » Thu Jun 06, 2019 8:48 pm

malloryw wrote:
Thu Jun 06, 2019 4:00 pm
I changed the Max upload size, the Max file size and the memory limit in my cPanel hosting account and was able to update! Thank you all for the help. (Upgrading PHP is next on my list and I will be taking care of that soon.)
When you will update your php version you must also change Max upload size, the Max file size and the memory limit and in there too
chat room spontes : http://www.spontes.com

User avatar
leolam
Joomla! Master
Joomla! Master
Posts: 19602
Joined: Mon Aug 29, 2005 10:17 am
Location: Netherlands/ UK/ S'pore/Jakarta/ North America
Contact:

Re: Error when upgrading to Joomla 3.9

Post by leolam » Mon Jun 10, 2019 3:27 pm

Also change change in php.ini to "allow_url_fopen = 1" Your update succeeded because we created a fall-back if the allow_url_fopen is disabled with Curl. Change the settings to 'enable" (1)

Leo 8)
Joomla's #1 Professional Support Provider:
-> Joomla Professional Support: https://gws-desk.com -
-> Joomla Specialized Hosting Solutions: https://gws-host.com -
-> Joomla Webmaster Services: gws-webmaster.services


Post Reply

Return to “Migrating and Upgrading to Joomla! 3.x”